import { library } from '@fortawesome/fontawesome-svg-core'
import { 
    faBold, 
    faHeading,
    faItalic,
    faStrikethrough,
    faLink,
    faQuoteRight,
    faCode,
    faImage,
    faListUl,
    faListOl,
    faTasks,
 } from '@fortawesome/free-solid-svg-icons'
import { EditorState } from 'braft-editor'
 import RichEditor from './RichEditor';
 import MarkdownEditor from './MarkdownEditor';


library.add(faBold)
library.add(faHeading)
library.add(faItalic)
library.add(faStrikethrough)
library.add(faLink)
library.add(faQuoteRight)
library.add(faCode)
library.add(faImage)
library.add(faListUl)
library.add(faListOl)
library.add(faTasks)

RichEditor.EditorState = EditorState;

export { 
  RichEditor,
  MarkdownEditor,
 }
